#include <iostream>
using namespace std;
long long n,m,k;
int t;
int main()
{
    cin>>t;
    while(t--)
    {
        cin>>n>>m>>k;
        long long nKROZk=n/k;
        long long nMODk=n%k;
        long long minimalno=(nKROZk*(nKROZk+1)/2)*(k+nMODk)+((nKROZk+1)*(nKROZk+2)/2)*(nMODk);
        if(minimalno>m)
            cout<<"Nie\n";
        else cout<<"Tak\n";
    }


return 0;
}